Texa DeskDevelopers

Platform API · Accounts

Update an account

PATCH/platform/api/v1/accounts/{account_id}

Update an account's attributes

Authorization

api_access_tokenheaderrequired

A platform app's token. Platform apps exist only on a dedicated instance, made in its super admin console. On Texa's shared hosting this API is not open to companies.

Path parameters

account_idintegerrequired

The numeric ID of the account

Body application/json

namestring

Name of the account

localestring

The locale of the account

domainstring

The domain of the account

support_emailstring

The support email of the account

statusstring

The status of the account One of: active, suspended.

limitsobject

The limits of the account

custom_attributesobject

The custom attributes of the account

Responses

200

Success

idnumber

Account ID

namestring

Name of the account

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring